IF NOT EXISTS(SELECT *
				FROM 
					INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME='EST_PARAM_COMPRAS_GRUPO_CURVA'
					AND COLUMN_NAME='PROXIMA_REVISAO_PARETO'	)
BEGIN
ALTER TABLE dbo.EST_PARAM_COMPRAS_GRUPO_CURVA ADD
	PROXIMA_REVISAO_PARETO  AS (case when DT_ULTIMA_REVISAO_PARETO IS NULL then CONVERT(char(10),getdate(),(112)) else dateadd(day,FREVISAOPARETO,DT_ULTIMA_REVISAO_PARETO) end)
END